procedure btc_getsaulscales(filename)

# program to find chip-to-chip photometric scalings for SNe btc images 

string  filename	{prompt="file of root names of BTC image sets"}
string  extension	{prompt="image extension"}
bool   echog        {yes,prompt="Beep when task is done?"}
struct  *name

# filename should list the names of the root image to be worked on

begin

string	root, image, scales, extn
real 	avgmean, chipscale

# -- cycle through images
name = filename
extn = extension
while (fscan (name, root) != EOF) {

# -- find average itermean
	hsel (root//"_?."//extn, "sky", yes) | average | scan (avgmean)

# -- get sky for all 4 images in the set, divide by avgmean
	scales=""
	for (i=1; i<=4; i+=1) {
		image = root//"_"//i//"."//extn
		hsel (image, "sky", yes) | scan (chipscale)
		chipscale=chipscale/avgmean
		scales = (scales//" "//chipscale)
	}

# -- output
	print (root//scales)
}

# -- (average or compare w/others)

if(echog)beep

end


