# CUBEEXAM -- script to apply IMEXAM to a band of a 3D cube.
# Notes: All IMEXAM parameters are used with their current settings.
#        Only one image and band may be specified at a time.
#
# usage: cubeexam <cube image> band

procedure cubeexam (cube, band)

string	cube		{prompt="cube to be examined"}
int	band		{prompt="band in cube to be examined"}

begin
	string	im3, sec, im2

	im3 = cube
	im2 = mktemp (im3)
	imcopy (im3 // "[*,*,"//band//"]", im2, verbose=no)
	imexamine (im2)
	imdelete (im2, verify=no)
end

